#pragma once

#include <util/generic/singleton.h>
#include <library/cpp/deprecated/atomic/atomic.h>
#include <util/generic/map.h>

#include <wmconsole/version3/wmcutil/monitor_client.h>

namespace NWebmaster {
namespace NImportantUrls {

void MonitorPushImportantUrlsProcessed(const TString &suffix, size_t value);
void MonitorPushImportantUrlsUpdated(const TString &suffix, size_t value);
void MonitorPushImportantUrlsUpdateShare(const TString &suffix, const TString &counter, float value);

} //namespace NImportantUrls
} //namespace NWebmaster
